.page-header {
    margin: 0;
    padding-top: 15px;
    padding-bottom: 10px;
    border-bottom: 1px solid #ccc;
    background: #f5f5f5;
}

#navbar {
    width: 360px;
    margin-top: 30px;
    overflow: auto;
}

#navbar.affix {
    position: fixed;
    top: 0;
}

.nav ul {
    margin-left: 20px;
}

.nav>li>a {
    padding: 4px 12px;
    text-transform: uppercase;
    background: #f5f5f5;
}

.nav>li>a .caret {
    margin-left: 10px;
}

.nav>li li span.header {
    padding: 1px 7px;
    font-size: 13px;
    line-height: 16px;
}

.nav>li li>a {
    padding: 1px 7px;
    text-transform: none;
    font-size: 13px;
    line-height: 16px;
    color: #777;
    background: none;
}

.nav>li li:first-child a {
    margin-top: 1px;
}

.nav li.active>a span.text-primary {
    color: #fff;
}

.nav>li li>a:hover {
    color: #222;
}

#main-content h2 {
    margin-top: -10px;
    padding-top: 40px;
    padding-bottom: 10px;
    border-bottom: 1px solid #ddd;
    text-transform: uppercase;
    font-size: 24px;
}

#main-content h3 {
}

#main-content h4 {
    margin-top: -20px;
    margin-left: 10px;
    padding-top: 40px;
}

#main-content section:last-child {
    padding-bottom: 600px;
}

pre.comments {
    color: #777;
    background-color: #fafafa;
}

.result,
.example,
.examples,
.code-example {
    position: relative;
    padding-top: 40px;
}

.result:after,
.code-example:after,
.example:after,
.examples:after {
    position: absolute;
    top: 15px;
    left: 15px;
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 700;
    letter-spacing: 1px;
    color: #959595;
}

.result:after {
    content: "Result";
}

.code-example:after {
    content: "Code";
}

.example:after {
    content: "Example";
}

.examples:after {
    content: "Examples";
}

.bg-info,
.bg-warning,
.bg-primary {
    padding: 7px 15px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
}

.bg-primary a {
    color: #FFF58A;
}

.bg-warning code {
    background-color: #FFF58A;
}

.gray-light {
    color: #777;
}

.gray-lighter {
    color: #999;
}

.indented {
    margin-left: 20px;
}

.prepend {
    margin-right: 10px;
}

.panel-primary .panel-heading a {
    color: #fff;
}

.dl-horizontal dt {
    width: 200px;
    padding-right: 5px;
}

.str-top,
.str-mid,
.str-bottom {
    position: relative;
    padding-left: 10px;
}

.str-mid span:before {
    content: '';
    position: absolute;
    top: 8px;
    left: -10px;
    width: 10px;
    height: 1px;
    border-top: 1px solid #333;
}

.str-top:before {
    content: '';
    display: block;
    position: absolute;
    top: 8px;
    left: -10px;
    width: 10px;
    height: 12px;
    border-top: 1px solid #333;
    border-left: 1px solid #333;
}

.str-mid:before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: -10px;
    width: 10px;
    height: 20px;
    border-left: 1px solid #333;
}

.str-bottom:before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: -10px;
    width: 10px;
    height: 12px;
    border-bottom: 1px solid #333;
    border-left: 1px solid #333;
}